Bug 364791 - e1000 driver doesn't support the Intel 82566DM-2 (found on new Dell desktops)
e1000 driver doesn't support the Intel 82566DM-2 (found on new Dell desktops)
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-11-02 17:53 EDT by andrew m. boardman
Modified: 2010-10-22 16:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-10 17:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andrew m. boardman 2007-11-02 17:53:49 EDT
Description of problem:

The new line of Dell desktops uses the Intel 82566DM-2 Pro/1000 chipset, PCI ID
8086:10bd, which is not supported by the version of the e1000 driver in the
current kernel.

Version-Release number of selected component (if applicable):

It's kernel-2.6.9-56.EL in the 4.6 beta; the version of the e1000 driver that's
in that kernel appears to be largely a backport of the upstream version 7.3.20,
while it looks like usable 82566DM-2 support first turns up in 7.5.5.

Steps to Reproduce:

Buy a new Dell desktop.  Install the RHEL 4.6 (or 5.1) beta.  Admire the lack of

Additional info:

The current e1000 stable release version is; see e1000.sf.net or
Comment 1 andrew m. boardman 2007-11-02 17:56:53 EDT
The specific affected Dell hardware we're using is the Optiplex 755.
Comment 2 wdc 2007-11-19 16:25:03 EST
I see in a status update, that this bug has been re-classified from "Red Hat Enterprise" to "Red Hat 
Enterprise 4", but without further explanation.  That is incorrect.  The driver is not present in BOTH 
RHEL 4.5 and RHEL 5.0.

The good news is that the problem has been resolved.
The bad news is that the crucial information is not yet in this bug.

Ideally, someone at Red Hat, presumably having access to the relevant beta roadmaps and unfettered 
access to the read-restricted bugzilla bugs would have been able to quickly learn and report what I 
have been able to unearth through hours of wading through google output, making guesses about 
things, and then verifying by directly emailing the engineer who was apparently doing the device driver 

The Ethernet chip Intel 82566DM-2 is supported in the new e1000e driver.  Although there is some 
support for this chip in the latest revision of the e1000 driver served up from source forge, some have 
considered that support kludgy.  Going forward, the expectation is that the e1000e driver will support 
PCI express Ethernet chips, and the latest chips, and that the e1000 driver will be in a maintenance 

Red Hat Enterprise Linux 5 Update 1, which went live on Wednesday 7 November 2007 contains
the e1000e driver back-ported to the 2.6.18 kernel of RHEL 5.
An errata for RHEL 5 contains the relevant kernel rpms:

Red Hat Enterprise Linux 4 update 6, which went live on Thursday 15 November 2007 contains
the e1000e driver back-ported to the 2.6.9 kernel of RHEL 4.
An errata for RHEL 4 contains the relevant kernel rpms:

This chip, and many other of the same epoch are now well supported and are part of a sensible
canon going forward.

Red Hat missed the chance to give everyone a quick and easy message that the right thing was
happening.  Instead the Red Hat Enterprise community remained in the dark until a paying customer
did the difficult detective work of finding out what Red Hat internally knew and could have trivially
shared.  It is my hope that by saying so much against how this bug was handled that I'm able to
help Red Hat see that a little more resourcing of the Bugzilla handling personnel would be of benefit.

Andrew, I was going to save Red Hat the trouble of closing this bug, but I don't own the bug.
Someone should close this bug with status "ERRATTA", now that we know it's actually not a problem.
Comment 4 Andy Gospodarek 2009-02-10 17:24:01 EST
Thanks for the feedback on this, I am sorry that the process was drawn out and a bit confusing.  I will close this one out.

Note You need to log in before you can comment on or make changes to this bug.